package models

var Game = QuestionSet{
	Questions: []Question{
		{
			ID:   "1",
			Text: "The ISO headquarters are located in which Swiss city?",
			Choices: []Choice{
				{Text: "Geneva", IsRight: true},
				{Text: "Lucerne"},
				{Text: "Zürich"},
				{Text: "Basel"},
			},
			Fact: `
Founded in 1947, and much like many other multilateral organisations, the
International Organization for Standardization is headquartered in Geneva, Switzerland.
[Wikipedia](https://en.wikipedia.org/wiki/International_Organization_for_Standardization)
			`,
		},
		{
			ID:   "2",
			Text: "What does ISO 8859 attempt to standardise?",
			Choices: []Choice{
				{Text: "Encoding of 8-bit characters", IsRight: true},
				{Text: "Format for date and times"},
				{Text: "Reference temperature of geometrical product specification"},
				{Text: "Information retrieval standards of weather metadata"},
			},
			Fact: `
ISO 8859 is a series of standards for 8-bit character encodings. Probably the most well know of
these is ISO 8859-1, which will appear in the declaration of XML documents. [Wikipedia](https://en.wikipedia.org/wiki/ISO/IEC_8859).
The remaining choices are also ISO standards, including the reference temperature of geometrical product specification,
which is [ISO 1](https://en.wikipedia.org/wiki/ISO_1).			
			`,
		},
		{
			ID:   "3",
			Text: "Which one of these values satisfy ISO 3166-2?",
			Choices: []Choice{
				{Text: "GB", IsRight: true},
				{Text: "USD"},
				{Text: "en-AU"},
				{Text: "2025-06-12T112:00:00Z"},
			},
			Fact: `
ISO 3166-2 defines codes for identify the principal subdivisions of all countries defined in ISO 3166-1. It is used in part to encode
the top-level country codes for domains. [Wikipedia](https://en.wikipedia.org/wiki/ISO_3166-2)
			`,
		},
		{
			ID:   "4",
			Text: "If I were to correctly format the date and time Monday, 16th June 2025 12:00:00 GMT using ISO 8601, the result will look like which of the following?",
			Choices: []Choice{
				{Text: "2025-06-16T12:00:00Z", IsRight: true},
				{Text: "2025-06-16 12:00:00Z"},
				{Text: "16 Jun, 2025 12:00:00 GMT"},
				{Text: "06/16/2025 12:00:00 UTC"},
			},
			Fact: `
Arguably, [the correct way](https://xkcd.com/1179/) to write numeric dates.			
			`,
		},
		{
			ID:   "5",
			Text: "The Date header in a HTTP 1.1 requests is defined by which standard?",
			Choices: []Choice{
				{Text: "RFC 2616", IsRight: true},
				{Text: "RFC 822"},
				{Text: "RFC 1036"},
				{Text: "ISO 3166-2"},
			},
			Fact: `
The standard [allows for 3 types of dates](https://www.rfc-editor.org/rfc/rfc2616#section-3.3): RFC 822 (updated in RFC 1123),
RFS 850 (updated in RFC 1036), and the ANSI C asctime() format.
			`,
		},
		{
			ID:   "6",
			Text: "When someone says they have an \"ISO image\" of a CD or DVD, which ISO format are they  referring to?",
			Choices: []Choice{
				{Text: "ISO 9660", IsRight: true},
				{Text: "ISO 8859"},
				{Text: "ISO 3166"},
				{Text: "ISO 19110"},
			},
			Fact: `
ISO 9660, also known as ECMA-119, is the standardised file system used for optical media. [Wikipedia](https://en.wikipedia.org/wiki/ISO_9660)
			`,
		},
		{
			ID:   "7",
			Text: "Which format of a comercial word processing software package was submitted to be an ISO standard by its vendor?",
			Choices: []Choice{
				{Text: "Microsoft's Office Office (.docx)", IsRight: true},
				{Text: "Microsoft's Word (.doc)"},
				{Text: "LibreOffice's Open Document (.odf)"},
				{Text: "Apple Pages (.pages)"},
			},
			Fact: `
[Microsoft's Open Office XML](https://en.wikipedia.org/wiki/Office_Open_XML) file format received the standard number ISO 29500.
			`,
		},
		{
			ID:   "8",
			Text: "What HTTP method was defined in RFC 2324?",
			Choices: []Choice{
				{Text: "WHEN", IsRight: true},
				{Text: "POST"},
				{Text: "DELETE"},
				{Text: "OPTIONS"},
			},
			Fact: `
[RFC 2324](https://www.rfc-editor.org/rfc/rfc2324) defines the Hyper Text Coffee Pot Control Protocol, the April Fools Day RFC
that also gave us the "418 I'm a teapot" error code. WHEN is used to instruct the HTTP server to stop pouring milk.
			`,
		},
		{
			ID:   "9",
			Text: "Which layers of the OSI networking stack are missing from the TCP/IP networking stack?",
			Choices: []Choice{
				{Text: "Presentation and Session", IsRight: true},
				{Text: "Presentation and Application"},
				{Text: "Session and Transport"},
				{Text: "Network and Data Link"},
			},
			Fact: `
[Developed by the ISO](https://en.wikipedia.org/wiki/OSI_model) in the 1970s, the model lost out to the less prescriptive one
developed by the Internet Engineering Task Force.
			`,
		},
		{
			ID:   "10",
			Text: "The only successful implementation of RFC 1149 involved the transmission of IP packages via which species of avian carrier?",
			Choices: []Choice{
				{Text: "Pigeon", IsRight: true},
				{Text: "Eagle"},
				{Text: "Seagull"},
				{Text: "Magpie"},
			},
			Fact: `
9 packets of data were transmitted, with a response time of up to 100 minutes and a packet loss of 55%.
[Wikipedia](https://en.wikipedia.org/wiki/IP_over_Avian_Carriers)
			`,
		},
	},
}
